pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: math/pari vs MesaLib (2010Q3)

On Sun 31 Oct 2010 at 21:50:08 +0100, Rhialto wrote:
> Why??? does a simple math package depends on a graphics behemoth?
> And if there is a good reason for the first issue, why isn't it
> properly recorded as a dependency so that it gets installed
> automatically?

Apparently, this is under an option "x11" (in

.if !empty(PKG_OPTIONS:Mx11)
USE_TOOLS+=             imake
CONFIGURE_ARGS+=        --graphic=X11
CONFIGURE_ARGS+=        --with-fltk=${PREFIX:Q}
CONFIGURE_ENV+=         Xincroot=${X11BASE}/include
.include "../../x11/libX11/"
.include "../../x11/fltk/"

Of course, apart from the ".include"s, it needs some "DEPENDS +="s too.

___ Olaf 'Rhialto' Seibert  -- There's no point being grown-up if you 
\X/ rhialto/at/    -- can't be childish sometimes. -The 4th Doctor

Home | Main Index | Thread Index | Old Index